path: /build/build/sddm-x11-misc-0.19.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-consolekit -systemd -test elogind pam" emerge x11-misc/sddm -pv -t && \
    USE="-consolekit -systemd -test elogind pam" emerge -j ${JOBS} --nodeps x11-misc/sddm
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/sddm && luet-portage --dir /pkgdir/sddm
    x11-misc/sddm && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  - sed -i -e 's|^MinimumUid=.*|MinimumUid=500|g' -e 's|^Current=.*|Current=elarun|g'
    /pkgdir/sddm/usr/share/sddm/sddm.conf.d/00default.conf
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: sddm
    version: 0.19.0
    category: x11-misc
    use_flags:
    - -consolekit
    - -systemd
    - -test
    - elogind
    - pam
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Simple Desktop Display Manager
    uri:
    - https://github.com/sddm/sddm
    license: GPL-2+ MIT CC-BY-3.0 CC-BY-SA-3.0 public-domain
    buildtimestamp: 2023-09-18 13:27:18.043548079 +0000 UTC m=+144.641985620
    labels:
      DEPEND: '>=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtdbus-5.9.4:5 >=dev-qt/qtdeclarative-5.9.4:5
        >=dev-qt/qtgui-5.9.4:5 >=dev-qt/qtnetwork-5.9.4:5 >=x11-base/xorg-server-1.15.1
        x11-libs/libxcb[xkb] consolekit? ( >=sys-auth/consolekit-0.9.4 ) elogind?
        ( sys-auth/elogind ) pam? ( sys-libs/pam ) systemd? ( sys-apps/systemd:= )
        !systemd? ( sys-power/upower ) dev-python/docutils >=dev-qt/linguist-tools-5.9.4:5
        kde-frameworks/extra-cmake-modules virtual/pkgconfig test? ( >=dev-qt/qttest-5.9.4:5
        ) sys-devel/make >=dev-util/cmake-3.9.6 virtual/pkgconfig sys-apps/shadow'
      IUSE: consolekit elogind +pam systemd test
      RDEPEND: '>=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtdbus-5.9.4:5 >=dev-qt/qtdeclarative-5.9.4:5
        >=dev-qt/qtgui-5.9.4:5 >=dev-qt/qtnetwork-5.9.4:5 >=x11-base/xorg-server-1.15.1
        x11-libs/libxcb[xkb] consolekit? ( >=sys-auth/consolekit-0.9.4 ) elogind?
        ( sys-auth/elogind ) pam? ( sys-libs/pam ) systemd? ( sys-apps/systemd:= )
        !systemd? ( sys-power/upower )'
      emerge.packages: x11-misc/sddm
      kit: desktop-kit
      original.package.name: x11-misc/sddm
      original.package.slot: "0"
      original.package.version: 0.19.0-r2
    treedir: /build/packages
  package_dir: /pkgdir/sddm
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a51afb4bc8fafe6a46cbcb50652053bccedf6a8d7d7306911903be652745ee92
compressiontype: zstd
files:
- etc/dbus-1/system.d/org.freedesktop.sddm.conf
- etc/pam.d/sddm
- etc/pam.d/sddm-autologin
- etc/pam.d/sddm-greeter
- usr/bin/sddm
- usr/bin/sddm-greeter
- usr/lib64/qt5/qml/SddmComponents/Background.qml
- usr/lib64/qt5/qml/SddmComponents/Button.qml
- usr/lib64/qt5/qml/SddmComponents/Clock.qml
- usr/lib64/qt5/qml/SddmComponents/ComboBox.qml
- usr/lib64/qt5/qml/SddmComponents/ImageButton.qml
- usr/lib64/qt5/qml/SddmComponents/LayoutBox.qml
- usr/lib64/qt5/qml/SddmComponents/Menu.qml
- usr/lib64/qt5/qml/SddmComponents/PasswordBox.qml
- usr/lib64/qt5/qml/SddmComponents/PictureBox.qml
- usr/lib64/qt5/qml/SddmComponents/TextBox.qml
- usr/lib64/qt5/qml/SddmComponents/TextConstants.qml
- usr/lib64/qt5/qml/SddmComponents/qmldir
- usr/lib64/qt5/qml/SddmComponents/warning.png
- usr/libexec/sddm-helper
- usr/share/doc/sddm-0.19.0-r2/ChangeLog.bz2
- usr/share/doc/sddm-0.19.0-r2/README.md.bz2
- usr/share/man/man1/sddm-greeter.1.bz2
- usr/share/man/man1/sddm.1.bz2
- usr/share/man/man5/sddm-state.conf.5.bz2
- usr/share/man/man5/sddm.conf.5.bz2
- usr/share/sddm/faces/.face.icon
- usr/share/sddm/faces/root.face.icon
- usr/share/sddm/flags/ae.png
- usr/share/sddm/flags/am.png
- usr/share/sddm/flags/ar.png
- usr/share/sddm/flags/at.png
- usr/share/sddm/flags/az.png
- usr/share/sddm/flags/be.png
- usr/share/sddm/flags/bg.png
- usr/share/sddm/flags/bh.png
- usr/share/sddm/flags/br.png
- usr/share/sddm/flags/by.png
- usr/share/sddm/flags/ca.png
- usr/share/sddm/flags/ch.png
- usr/share/sddm/flags/cu.png
- usr/share/sddm/flags/cz.png
- usr/share/sddm/flags/de.png
- usr/share/sddm/flags/dj.png
- usr/share/sddm/flags/dk.png
- usr/share/sddm/flags/dz.png
- usr/share/sddm/flags/ee.png
- usr/share/sddm/flags/eg.png
- usr/share/sddm/flags/es.png
- usr/share/sddm/flags/eu.png
- usr/share/sddm/flags/fi.png
- usr/share/sddm/flags/fr.png
- usr/share/sddm/flags/gb.png
- usr/share/sddm/flags/ge.png
- usr/share/sddm/flags/gr.png
- usr/share/sddm/flags/hr.png
- usr/share/sddm/flags/hu.png
- usr/share/sddm/flags/il.png
- usr/share/sddm/flags/in.png
- usr/share/sddm/flags/iq.png
- usr/share/sddm/flags/is.png
- usr/share/sddm/flags/it.png
- usr/share/sddm/flags/jo.png
- usr/share/sddm/flags/jp.png
- usr/share/sddm/flags/km.png
- usr/share/sddm/flags/kr.png
- usr/share/sddm/flags/kw.png
- usr/share/sddm/flags/la.png
- usr/share/sddm/flags/lb.png
- usr/share/sddm/flags/lt.png
- usr/share/sddm/flags/lv.png
- usr/share/sddm/flags/ly.png
- usr/share/sddm/flags/ma.png
- usr/share/sddm/flags/mk.png
- usr/share/sddm/flags/mn.png
- usr/share/sddm/flags/mx.png
- usr/share/sddm/flags/nl.png
- usr/share/sddm/flags/no.png
- usr/share/sddm/flags/om.png
- usr/share/sddm/flags/pl.png
- usr/share/sddm/flags/ps.png
- usr/share/sddm/flags/pt.png
- usr/share/sddm/flags/qa.png
- usr/share/sddm/flags/qc.png
- usr/share/sddm/flags/ro.png
- usr/share/sddm/flags/ru.png
- usr/share/sddm/flags/sa.png
- usr/share/sddm/flags/sd.png
- usr/share/sddm/flags/se.png
- usr/share/sddm/flags/si.png
- usr/share/sddm/flags/sk.png
- usr/share/sddm/flags/so.png
- usr/share/sddm/flags/sr.png
- usr/share/sddm/flags/sy.png
- usr/share/sddm/flags/th.png
- usr/share/sddm/flags/tn.png
- usr/share/sddm/flags/tr.png
- usr/share/sddm/flags/ua.png
- usr/share/sddm/flags/uk.png
- usr/share/sddm/flags/un.png
- usr/share/sddm/flags/us.png
- usr/share/sddm/flags/uy.png
- usr/share/sddm/flags/vn.png
- usr/share/sddm/flags/ye.png
- usr/share/sddm/flags/yu.png
- usr/share/sddm/flags/zz.png
- usr/share/sddm/scripts/Xsession
- usr/share/sddm/scripts/Xsetup
- usr/share/sddm/scripts/Xstop
- usr/share/sddm/scripts/wayland-session
- usr/share/sddm/sddm.conf.d/00default.conf
- usr/share/sddm/themes/elarun/Main.qml
- usr/share/sddm/themes/elarun/README
- usr/share/sddm/themes/elarun/angle-down.png
- usr/share/sddm/themes/elarun/elarun.jpg
- usr/share/sddm/themes/elarun/images/background.png
- usr/share/sddm/themes/elarun/images/lock.png
- usr/share/sddm/themes/elarun/images/login_active.png
- usr/share/sddm/themes/elarun/images/login_normal.png
- usr/share/sddm/themes/elarun/images/rectangle.png
- usr/share/sddm/themes/elarun/images/rectangle_overlay.png
- usr/share/sddm/themes/elarun/images/session_normal.png
- usr/share/sddm/themes/elarun/images/system_hibernate.png
- usr/share/sddm/themes/elarun/images/system_reboot.png
- usr/share/sddm/themes/elarun/images/system_shutdown.png
- usr/share/sddm/themes/elarun/images/system_suspend.png
- usr/share/sddm/themes/elarun/metadata.desktop
- usr/share/sddm/themes/elarun/theme.conf
- usr/share/sddm/themes/maldives/LICENSE
- usr/share/sddm/themes/maldives/Main.qml
- usr/share/sddm/themes/maldives/README
- usr/share/sddm/themes/maldives/angle-down.png
- usr/share/sddm/themes/maldives/background.jpg
- usr/share/sddm/themes/maldives/maldives.jpg
- usr/share/sddm/themes/maldives/metadata.desktop
- usr/share/sddm/themes/maldives/rectangle.png
- usr/share/sddm/themes/maldives/theme.conf
- usr/share/sddm/themes/maya/LICENSE
- usr/share/sddm/themes/maya/Main.qml
- usr/share/sddm/themes/maya/README
- usr/share/sddm/themes/maya/components/SpButton.qml
- usr/share/sddm/themes/maya/components/SpClock.qml
- usr/share/sddm/themes/maya/fonts/OpenSans_CondLight.ttf
- usr/share/sddm/themes/maya/images/ic_arrow_drop_down_white_24px.svg
- usr/share/sddm/themes/maya/images/ic_power_settings_new_white_24px.svg
- usr/share/sddm/themes/maya/images/ic_refresh_white_24px.svg
- usr/share/sddm/themes/maya/images/ic_warning_white_24px.svg
- usr/share/sddm/themes/maya/metadata.desktop
- usr/share/sddm/themes/maya/screenshots/hi_IN.png
- usr/share/sddm/themes/maya/theme.conf
- usr/share/sddm/translations/ar.qm
- usr/share/sddm/translations/bn.qm
- usr/share/sddm/translations/ca.qm
- usr/share/sddm/translations/cs.qm
- usr/share/sddm/translations/da.qm
- usr/share/sddm/translations/de.qm
- usr/share/sddm/translations/es.qm
- usr/share/sddm/translations/et.qm
- usr/share/sddm/translations/eu.qm
- usr/share/sddm/translations/fi.qm
- usr/share/sddm/translations/fr.qm
- usr/share/sddm/translations/he.qm
- usr/share/sddm/translations/hi_IN.qm
- usr/share/sddm/translations/hu.qm
- usr/share/sddm/translations/ie.qm
- usr/share/sddm/translations/is.qm
- usr/share/sddm/translations/it.qm
- usr/share/sddm/translations/ja.qm
- usr/share/sddm/translations/kk.qm
- usr/share/sddm/translations/ko.qm
- usr/share/sddm/translations/lt.qm
- usr/share/sddm/translations/lv.qm
- usr/share/sddm/translations/nb.qm
- usr/share/sddm/translations/nl.qm
- usr/share/sddm/translations/nn.qm
- usr/share/sddm/translations/oc.qm
- usr/share/sddm/translations/pl.qm
- usr/share/sddm/translations/pt_BR.qm
- usr/share/sddm/translations/pt_PT.qm
- usr/share/sddm/translations/ro.qm
- usr/share/sddm/translations/ru.qm
- usr/share/sddm/translations/sk.qm
- usr/share/sddm/translations/sr.qm
- usr/share/sddm/translations/sr@ijekavian.qm
- usr/share/sddm/translations/sr@ijekavianlatin.qm
- usr/share/sddm/translations/sr@latin.qm
- usr/share/sddm/translations/sv.qm
- usr/share/sddm/translations/tr.qm
- usr/share/sddm/translations/uk.qm
- usr/share/sddm/translations/zh_CN.qm
- usr/share/sddm/translations/zh_TW.qm
- var/db/pkg/x11-misc/sddm-0.19.0-r2/BUILD_TIME
- var/db/pkg/x11-misc/sddm-0.19.0-r2/CATEGORY
- var/db/pkg/x11-misc/sddm-0.19.0-r2/CBUILD
- var/db/pkg/x11-misc/sddm-0.19.0-r2/CFLAGS
- var/db/pkg/x11-misc/sddm-0.19.0-r2/CHOST
- var/db/pkg/x11-misc/sddm-0.19.0-r2/CONTENTS
- var/db/pkg/x11-misc/sddm-0.19.0-r2/COUNTER
- var/db/pkg/x11-misc/sddm-0.19.0-r2/CXXFLAGS
- var/db/pkg/x11-misc/sddm-0.19.0-r2/DEFINED_PHASES
- var/db/pkg/x11-misc/sddm-0.19.0-r2/DEPEND
- var/db/pkg/x11-misc/sddm-0.19.0-r2/DESCRIPTION
- var/db/pkg/x11-misc/sddm-0.19.0-r2/EAPI
- var/db/pkg/x11-misc/sddm-0.19.0-r2/FEATURES
- var/db/pkg/x11-misc/sddm-0.19.0-r2/HOMEPAGE
- var/db/pkg/x11-misc/sddm-0.19.0-r2/INHERITED
- var/db/pkg/x11-misc/sddm-0.19.0-r2/IUSE
- var/db/pkg/x11-misc/sddm-0.19.0-r2/IUSE_EFFECTIVE
- var/db/pkg/x11-misc/sddm-0.19.0-r2/KEYWORDS
- var/db/pkg/x11-misc/sddm-0.19.0-r2/LDFLAGS
- var/db/pkg/x11-misc/sddm-0.19.0-r2/LICENSE
- var/db/pkg/x11-misc/sddm-0.19.0-r2/NEEDED
- var/db/pkg/x11-misc/sddm-0.19.0-r2/PF
- var/db/pkg/x11-misc/sddm-0.19.0-r2/RDEPEND
- var/db/pkg/x11-misc/sddm-0.19.0-r2/REQUIRES
- var/db/pkg/x11-misc/sddm-0.19.0-r2/SIZE
- var/db/pkg/x11-misc/sddm-0.19.0-r2/SLOT
- var/db/pkg/x11-misc/sddm-0.19.0-r2/USE
- var/db/pkg/x11-misc/sddm-0.19.0-r2/environment.bz2
- var/db/pkg/x11-misc/sddm-0.19.0-r2/repository
- var/db/pkg/x11-misc/sddm-0.19.0-r2/sddm-0.19.0-r2.ebuild
package_cacheimage: ""
runtime:
  name: sddm
  version: 0.19.0
  category: x11-misc
  use_flags:
  - -consolekit
  - -systemd
  - -test
  - elogind
  - pam
  requires:
  - name: qtdeclarative
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: elogind
    version: '>=0'
    category: sys-auth
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: xorg-server
    version: '>=0'
    category: x11-base
  - name: libxcb
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Simple Desktop Display Manager
  uri:
  - https://github.com/sddm/sddm
  license: GPL-2+ MIT CC-BY-3.0 CC-BY-SA-3.0 public-domain
  labels:
    DEPEND: '>=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtdbus-5.9.4:5 >=dev-qt/qtdeclarative-5.9.4:5
      >=dev-qt/qtgui-5.9.4:5 >=dev-qt/qtnetwork-5.9.4:5 >=x11-base/xorg-server-1.15.1
      x11-libs/libxcb[xkb] consolekit? ( >=sys-auth/consolekit-0.9.4 ) elogind? (
      sys-auth/elogind ) pam? ( sys-libs/pam ) systemd? ( sys-apps/systemd:= ) !systemd?
      ( sys-power/upower ) dev-python/docutils >=dev-qt/linguist-tools-5.9.4:5 kde-frameworks/extra-cmake-modules
      virtual/pkgconfig test? ( >=dev-qt/qttest-5.9.4:5 ) sys-devel/make >=dev-util/cmake-3.9.6
      virtual/pkgconfig sys-apps/shadow'
    IUSE: consolekit elogind +pam systemd test
    RDEPEND: '>=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtdbus-5.9.4:5 >=dev-qt/qtdeclarative-5.9.4:5
      >=dev-qt/qtgui-5.9.4:5 >=dev-qt/qtnetwork-5.9.4:5 >=x11-base/xorg-server-1.15.1
      x11-libs/libxcb[xkb] consolekit? ( >=sys-auth/consolekit-0.9.4 ) elogind? (
      sys-auth/elogind ) pam? ( sys-libs/pam ) systemd? ( sys-apps/systemd:= ) !systemd?
      ( sys-power/upower )'
    emerge.packages: x11-misc/sddm
    kit: desktop-kit
    original.package.name: x11-misc/sddm
    original.package.slot: "0"
    original.package.version: 0.19.0-r2
